using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class NotifyStatusResponsePacket : IPacket
{
	public string StatusMessage { get; set; }

	public NotifyStatusResponsePacket()
	{
	}

	public NotifyStatusResponsePacket(string statusMessage)
	{
		StatusMessage = statusMessage;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(StatusMessage ?? "");
	}

	public void Read(BinaryReader r)
	{
		StatusMessage = r.ReadString();
	}
}
